Bug 733994 - [TAHI][SNMP-MIP][REGRESSION] IP-MIB IP Statistics Table ipSystemStatsInOctets Counter do not increase
Summary: [TAHI][SNMP-MIP][REGRESSION] IP-MIB IP Statistics Table ipSystemStatsInOctets...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp
Version: 6.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 06:12 UTC by zhpeng
Modified: 2013-09-09 00:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-31 10:54:13 UTC


Attachments (Terms of Use)
/etc/snmp/snmpd.conf (1.97 KB, text/plain)
2011-08-29 06:12 UTC, zhpeng
no flags Details
/usr/share/snmp/snmp.conf (848 bytes, text/plain)
2011-08-29 06:18 UTC, zhpeng
no flags Details
/etc/rc.d/rc.local (740 bytes, text/plain)
2011-08-29 06:19 UTC, zhpeng
no flags Details

Description zhpeng 2011-08-29 06:12:45 UTC
Created attachment 520290 [details]
/etc/snmp/snmpd.conf

Description of problem:
SNMP IP Counter do not increased when test
"IP-MIB IP Statistics Table ipSystemStatsInOctets Counter Check"

The test specification:
http://home.englab.nay.redhat.com/~zhpeng/ct-snmpv2c-ag-1.1.0-RHEL6.2-20110822/MIB/MIB_RFC4293_ipSystemStatsInOctets.html
The test log:
http://home.englab.nay.redhat.com/~zhpeng/ct-snmpv2c-ag-1.1.0-RHEL6.2-20110822/MIB/9.html
The test script:
http://home.englab.nay.redhat.com/~zhpeng/ct-snmpv2c-ag-1.1.0-RHEL6.2-20110822/MIB/MIB_RFC4293_ipSystemStatsInOctets.seq
The test ether dump file:
http://home.englab.nay.redhat.com/~zhpeng/ct-snmpv2c-ag-1.1.0-RHEL6.2-20110822/MIB/9_html_Link0.pcap
The net-snmp configure file:
In attachment.

Version-Release number of selected component (if applicable):
kernel-2.6.32-191.el6.x86_64
net-snmp-5.5-34.el6.x86_64.rpm
net-snmp-libs-5.5-34.el6.x86_64.rpm
net-snmp-utils-5.5-34.el6.x86_64.rpm

How reproducible:
everytime

Steps to Reproduce:
1.
2.
3.

Actual results:
The IP-MIB IP Statistics Table ipSystemStatsInOctets Counter did not increase.

Expected results:
The IP-MIB IP Statistics Table ipSystemStatsInOctets Counter should increase according to the test specification.

Additional info:
I downgrade packages and it passed. So it's a regression bug.
downgrade packages:
net-snmp-5.5-21.el6.x86_64.rpm
net-snmp-libs-5.5-21.el6.x86_64.rpm
net-snmp-utils-5.5-21.el6.x86_64.rpm

Comment 1 zhpeng 2011-08-29 06:18:26 UTC
Created attachment 520291 [details]
/usr/share/snmp/snmp.conf

Comment 2 zhpeng 2011-08-29 06:19:01 UTC
Created attachment 520292 [details]
/etc/rc.d/rc.local

Comment 4 Jan Safranek 2011-08-29 15:18:03 UTC
I did not change absolutely *anything* in ipSystemStatsInOctets, icmpStatsInMsgs and ipNetToPhysicalAddress in new Net-SNMP. Isn't is just another timing issue when TAHI test suite asks for something too early?

Please provide /etc/snmp/snmpd.conf, just to be sure. And is there anything in syslog? Try "grep snmp /var/log/messages" (unless you have non-default log config).

BTW, where do you get net-snmp-5.5-21.el6.x86_64.rpm from? RHEL 6.0 has net-snmp-5.5-27.el6. Could you try with this one? And does net-snmp-5.5-31 from RHEL 6.1 work?

(This comment fully applies also to bugs #733995 and #733997... I did not change anything there either).

Comment 5 zhpeng 2011-08-30 10:47:30 UTC
> I did not change absolutely *anything* in ipSystemStatsInOctets,
> icmpStatsInMsgs and ipNetToPhysicalAddress in new Net-SNMP. Isn't is just
> another timing issue when TAHI test suite asks for something too early?
No, it's not the TAHI scripts problem. I test it again and i found the test failed for missing package net-snmp-utils. And if net-snmp-utils installed the test will pass. I think it's a bug.What's your opinion?

> Please provide /etc/snmp/snmpd.conf, just to be sure. And is there anything in
> syslog? Try "grep snmp /var/log/messages" (unless you have non-default log
> config).
snmpd.conf is already in the attachment. And there is no log in /var/log/messages
when the test failed.

> (This comment fully applies also to bugs #733995 and #733997... I did not
> change anything there either).
bugs #733995 and #733997 failed for the same reason.

Comment 6 Jan Safranek 2011-08-30 11:18:04 UTC
(In reply to comment #5)
> > I did not change absolutely *anything* in ipSystemStatsInOctets,
> > icmpStatsInMsgs and ipNetToPhysicalAddress in new Net-SNMP. Isn't is just
> > another timing issue when TAHI test suite asks for something too early?
> No, it's not the TAHI scripts problem. I test it again and i found the test
> failed for missing package net-snmp-utils. And if net-snmp-utils installed the
> test will pass. I think it's a bug.What's your opinion?

Your  /etc/rc.d/rc.local calls /usr/bin/snmpset, which is in net-snmp-utils package. Without these snmpsets the tests won't work.

Gory details: The TAHI scripts often sends a IPv6 packet to NUT and immediately checks that appropriate counter (e.g. ipSystemStatsInOctets) has increased. But snmpd reads the counter value from kernel only once in a while (5-10 seconds?) and caches them. Therefore we use the "magic" snmpset commands in your /etc/rc.d/rc.local to turn off these caches. snmpd then always reads counter values from kernel. Without snmpset (and therefore without net-snmp-utils), the tests won't work.

So, I do not see any net-snmp error here. Can we agree on closing this bug?

Comment 7 zhpeng 2011-08-31 02:15:50 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > > I did not change absolutely *anything* in ipSystemStatsInOctets,
> > > icmpStatsInMsgs and ipNetToPhysicalAddress in new Net-SNMP. Isn't is just
> > > another timing issue when TAHI test suite asks for something too early?
> > No, it's not the TAHI scripts problem. I test it again and i found the test
> > failed for missing package net-snmp-utils. And if net-snmp-utils installed the
> > test will pass. I think it's a bug.What's your opinion?
> 
> Your  /etc/rc.d/rc.local calls /usr/bin/snmpset, which is in net-snmp-utils
> package. Without these snmpsets the tests won't work.
> 
> Gory details: The TAHI scripts often sends a IPv6 packet to NUT and immediately
> checks that appropriate counter (e.g. ipSystemStatsInOctets) has increased. But
> snmpd reads the counter value from kernel only once in a while (5-10 seconds?)
> and caches them. Therefore we use the "magic" snmpset commands in your
> /etc/rc.d/rc.local to turn off these caches. snmpd then always reads counter
> values from kernel. Without snmpset (and therefore without net-snmp-utils), the
> tests won't work.
> 
> So, I do not see any net-snmp error here. Can we agree on closing this bug?

I agree with you. Pls close the bugs, thanks.


Note You need to log in before you can comment on or make changes to this bug.